> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wherobots.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List storage integrations



## OpenAPI

````yaml https://api.cloud.wherobots.com/openapi.json get /storage
openapi: 3.1.0
info:
  title: Wherobots Cloud API
  description: |-
    Wherobots Cloud API OpenAPI specification.

        These are the API docs for the Wherobots API. You can use this to test out the API and see what it does.
        The underlying OPENAPI spec can be found at /openapi.json. This can be used to generate clients for the API.

        The Authorize button below will allow you to input an access token to authenticate to our API.
        Then all of the requests on the page should work.
        
  version: 0.0.1
servers:
  - url: https://api.cloud.wherobots.com
    description: Wherobots Cloud API
security: []
paths:
  /storage:
    get:
      tags:
        - storage
      summary: List storage integrations
      operationId: listIntegration
      parameters:
        - name: include_external_providers
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Include authorized sources whose credentials are obtained through
              an external provider exchange. These sources may not support Files
              browsing.
            default: false
            title: Include External Providers
          description: >-
            Include authorized sources whose credentials are obtained through an
            external provider exchange. These sources may not support Files
            browsing.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/StorageSource'
                title: Response Listintegration
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorBody'
      security:
        - bearerToken: []
        - wherobotsApiKey: []
components:
  schemas:
    StorageSource:
      properties:
        id:
          type: string
          title: Id
        createTime:
          type: string
          format: date-time
          title: Createtime
        updateTime:
          type: string
          format: date-time
          title: Updatetime
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        roleArn:
          anyOf:
            - type: string
            - type: 'null'
          title: Rolearn
        region:
          type: string
          title: Region
        stackName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stackname
        type:
          $ref: '#/components/schemas/StorageSourceType'
        defaultDirectory:
          anyOf:
            - type: string
            - type: 'null'
          title: Defaultdirectory
        readOnly:
          type: boolean
          title: Readonly
          default: false
        cloudConnection:
          anyOf:
            - $ref: '#/components/schemas/CloudConnectionRead'
            - type: 'null'
      type: object
      required:
        - id
        - createTime
        - updateTime
        - name
        - path
        - region
        - type
      title: StorageSource
    ErrorBody:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorInfo'
          type: array
          title: Errors
          description: A list of errors that occurred
        requestId:
          type: string
          title: Requestid
          description: A unique identifier for the request that caused the error
      type: object
      required:
        - errors
        - requestId
      title: ErrorBody
    StorageSourceType:
      type: string
      enum:
        - INTEGRATION
        - MANAGED
        - USER_FILES
      title: StorageSourceType
    CloudConnectionRead:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        cloudProvider:
          $ref: '#/components/schemas/CloudProvider'
        managedBy:
          anyOf:
            - $ref: '#/components/schemas/CloudConnectionManagedBy'
            - type: 'null'
        roleArn:
          anyOf:
            - type: string
            - type: 'null'
          title: Rolearn
        awsAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Awsaccountid
        trustedAccountIds:
          items:
            type: string
          type: array
          title: Trustedaccountids
        allowSaas:
          type: boolean
          title: Allowsaas
          default: true
        stackName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stackname
        createdAt:
          type: string
          format: date-time
          title: Createdat
        bindings:
          anyOf:
            - items:
                $ref: '#/components/schemas/CloudConnectionBinding'
              type: array
            - type: 'null'
          title: Bindings
      type: object
      required:
        - id
        - name
        - cloudProvider
        - managedBy
        - createdAt
      title: CloudConnectionRead
    ErrorInfo:
      properties:
        code:
          $ref: '#/components/schemas/ErrorClass'
          description: The error code
        message:
          type: string
          title: Message
          description: A human-readable message describing the error
        details:
          type: string
          title: Details
          description: Details about the error
        path:
          type: string
          title: Path
          description: The path to the field that caused the error
        suggestion:
          type: string
          title: Suggestion
          description: Suggested action to resolve the error
          default: >-
            Contact us at support@wherobots.com to get help with resolving your
            error.
        documentation_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation Url
          description: URL to related documentation
        field:
          anyOf:
            - type: string
            - type: 'null'
          title: Field
          description: The field that caused the error if applicable
        data:
          anyOf:
            - additionalProperties:
                anyOf:
                  - type: string
                  - type: integer
              type: object
            - type: 'null'
          title: Data
          description: >-
            Machine-readable facts about the error a client can act on, when
            there are any
      type: object
      required:
        - code
        - message
        - details
        - path
      title: ErrorInfo
    CloudProvider:
      type: string
      enum:
        - AWS
      title: CloudProvider
    CloudConnectionManagedBy:
      type: string
      enum:
        - CLOUDFORMATION
      title: CloudConnectionManagedBy
    CloudConnectionBinding:
      properties:
        kind:
          type: string
          enum:
            - storage_integration
            - glue_catalog
            - s3tables_catalog
          title: Kind
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - kind
        - id
        - name
      title: CloudConnectionBinding
      description: |-
        A resource that references (is "bound" to) a cloud connection.

        The binding kinds live in different databases (storage integrations in
        api-db, Glue and S3 Tables catalogs in catalog-db), so this DTO carries
        only the minimal cross-db-friendly shape: kind, id, and display name.
    ErrorClass:
      type: string
      enum:
        - BAD_REQUEST_ERROR
        - CONFLICT_ERROR
        - INVALID_INPUT_ERROR
        - INTERNAL_SERVER_ERROR
        - UNAUTHORIZED_ERROR
        - INSUFFICIENT_PERMISSIONS_ERROR
        - THIRD_PARTY_PERMISSIONS_ERROR
        - NOT_FOUND_ERROR
        - INSUFFICIENT_QUOTA_ERROR
        - REQUEST_ENTITY_TOO_LARGE
        - FOREIGN_CATALOG_CONNECTION_FAILED
        - RATE_LIMIT_ERROR
        - RESOURCE_BUSY
        - TIMEOUT_ERROR
        - ACCOUNT_NOT_PROVISIONED
        - BAD_GATEWAY_ERROR
        - GATEWAY_TIMEOUT_ERROR
        - NOT_IMPLEMENTED_ERROR
        - GONE_ERROR
        - SCRIPT_OWNER_MISMATCH
      title: ErrorClass
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
    wherobotsApiKey:
      type: apiKey
      description: A Wherobots-generated API key
      in: header
      name: X-API-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.